.SUBCKT KT120   1 2 3 4 ; A G2 G1 C
* New Sensor website
* library format: LTSpice 19-Sep-2008
X1 1 2 3 4 PENTODE1 MU=9.14 EX=1.350 KG1=612.3 KG2=4500 KP=31.40 KVB=20.0 VCT=0.00 RGI=1000 CCG=29.0p CPG1=1.8p CCP=10.0p ; 
.ENDS    KT120

.SUBCKT PENTODE1 1 2 3 4 ; A G2 G1 C
RE1  7 0  1MEG    ; DUMMY SO NODE 7 HAS 2 CONNECTIONS
E1   7 0  VALUE={V(2,4)/KP*LOG(1+EXP((1/MU+V(3,4)/V(2,4))*KP))}    ; E1 BREAKS UP LONG EQUATION FOR G1.
G1   1 4  VALUE={(PWR(V(7),EX)+PWRS(V(7),EX))/KG1*ATAN(V(1,4)/KVB)}
G2   2 4  VALUE={(EXP(EX*(LOG((V(2,4)/MU)+V(3,4)))))/KG2}
* G2   2 4  VALUE={PWR(V(2,4)/MU+V(3,4),EX)/KG2}
RCP  1 4  1G      ; FOR CONVERGENCE    A  - C
C1   3 4  {CCG}   ; CATHODE-GRID 1    C  - G1
C2   1 3  {CPG1}  ; GRID 1-PLATE    G1 - A
C3   1 4  {CCP}   ; CATHODE-PLATE    A  - C
R1   3 5  {RGI}   ; FOR GRID CURRENT    G1 - 5
D3   5 4  DX      ; FOR GRID CURRENT    5  - C
.ENDS PENTODE1
