.SUBCKT KT88 P S G K ;  1 2 3 4 = P G1 C G2
+ PARAMS: MU=8.8 EX=1.35 KG1=730 KG2=4800 KP=32 KVB=16
+         CCG=14P CPG1=.85P CCP=12P RGI=1K 
RE1  7 0  1MEG    ; DUMMY SO NODE 7 HAS 2 CONNECTIONS
E1   7 0  VALUE=  ; E1 BREAKS UP LONG EQUATION FOR G1.
+{V(S,K)/KP*LOG(1+EXP((1/MU+V(G,K)/V(S,K))*KP))}
G1   P K  VALUE={(PWR(V(7),EX)+PWRS(V(7),EX))/KG1*ATAN(V(P,K)/KVB)}
G2   S K  VALUE={(EXP(EX*(LOG((V(S,K)/MU)+V(G,K)))))/KG2}
RCP  P K  1G      ; FOR CONVERGENCE
C1   G K  {CCG}    ; CATHODE-GRID 1
C2   P G  {CPG1}  ; GRID 1-PLATE
C3   P K  {CCP}   ; CATHODE-PLATE
R1   G 5  {RGI}   ; FOR GRID CURRENT
D3   5 K  DX      ; FOR GRID CURRENT
.MODEL DX D(IS=1N RS=1 CJO=10PF TT=1N)
.ENDS
